Linuxcnc on Debian Bookworm - a shortcut to master branch

More
24 Apr 2022 16:50 #241079 by my1987toyota
any idea why on my fresh Bullseye install the
sudo apt install linuxcnc-uspace linuxcnc-uspace mesaflash
it keeps coming up with an error of
E: Unable to locate package linuxcnc-uspace
E: Unable to locate package linuxcnc-uspace-dev
E: Unable to locate mesaflash

 

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 17:01 #241081 by chris@cnc
Bullseye is the latest stable Version. But you can switch to testing. Replace in Sources.list bullseye with testing,  update and install master. After that you could switch back to bullseye. 

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 17:13 - 24 Apr 2022 17:15 #241085 by my1987toyota
the version iso used was
debian-live-testing-amd64-mate+nonfree.iso

 
Last edit: 24 Apr 2022 17:15 by my1987toyota. Reason: removing an unintended link

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 17:20 #241088 by tommylight
Did you do an update before that?

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 17:28 #241090 by my1987toyota
sudo apt update was the only one I have done so far.
Is their some other update I have missed?

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 17:38 #241091 by tommylight
Nope, it should just work ... or Rod has some erroneous information about versions ! :)
I have downloaded the ISO, so i will give it a run later, busy building some 3D printers, and some electronics for the plasma machines.
The following user(s) said Thank You: my1987toyota

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 17:46 #241092 by my1987toyota

Nope, it should just work ... or Rod has some erroneous information about versions ! :)
I have downloaded the ISO, so i will give it a run later, busy building some 3D printers, and some electronics for the plasma machines.
 

have fun.

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 18:13 - 24 Apr 2022 18:15 #241094 by charleyann
Last edit: 24 Apr 2022 18:15 by charleyann.

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 18:16 #241095 by charleyann

any idea why on my fresh Bullseye install the
sudo apt install linuxcnc-uspace linuxcnc-uspace mesaflash
it keeps coming up with an error of
E: Unable to locate package linuxcnc-uspace
E: Unable to locate package linuxcnc-uspace-dev
E: Unable to locate mesaflash
 

I found the same thing when following this thread.
Looks like the links in the first few posts point to the 11.3 version of Debian

cdimage.debian.org/cdimage/unofficial/no...ds/amd64/iso-hybrid/
cdimage.debian.org/cdimage/unofficial/no...rrent/amd64/iso-dvd/

I went here to get the Bookworm version: cdimage.debian.org/cdimage/unofficial/no...uilds/amd64/iso-dvd/
The following user(s) said Thank You: my1987toyota

Please Log in or Create an account to join the conversation.

More
24 Apr 2022 18:23 #241096 by my1987toyota
thanks charleyann I will pull a copy of that iso. and give it a try.

Please Log in or Create an account to join the conversation.

Time to create page: 0.115 seconds
Powered by Kunena Forum